//-----------------------------------------------------------
//    SynthController
//-----------------------------------------------------------
#ifndef __SYNTH_CONTROLLER_H__
#define __SYNTH_CONTROLLER_H__
#include <vector>
class SignalProcessBase;
//-----------------------------------------------------------
//    class SynthController
//-----------------------------------------------------------
class SynthController
{
public:
	SynthController();
	~SynthController();
	void NoteOn(const float freq);
	void NoteOff();
	void StartSynth();
	void StopSynth();
	const SignalProcessBase* GetSynthPart(int n1) const;
	const SignalProcessBase* GetSynthPartById(int id1) const;
private:
	void SetSynthParts();
	std::vector<SignalProcessBase*> synthparts;
};
#endif

